<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="pt">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Feb 18 11:40:32 GMT 2020 -->
<title>A-Index</title>
<meta name="date" content="2020-02-18">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="A-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Letter</li>
<li><a href="index-2.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-1.html" target="_top">Frames</a></li>
<li><a href="index-1.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a name="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/ArrayOrderedList.html#add-T-">add(T)</a></span> - Method in class ArrayListPackage.<a href="../ArrayListPackage/ArrayOrderedList.html" title="class in ArrayListPackage">ArrayOrderedList</a></dt>
<dd>
<div class="block">Método que irá adicionar se for comparável, um elemento do tipo T à lista
 de forma a que a lista continue ordenada e a expanda caso seja necessário</div>
</dd>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/OrderedListADT.html#add-T-">add(T)</a></span> - Method in interface ArrayListPackage.<a href="../ArrayListPackage/OrderedListADT.html" title="interface in ArrayListPackage">OrderedListADT</a></dt>
<dd>
<div class="block">Adds the specified element to this list at the proper location</div>
</dd>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/ArrayUnorderedList.html#addAfter-T-T-">addAfter(T, T)</a></span> - Method in class ArrayListPackage.<a href="../ArrayListPackage/ArrayUnorderedList.html" title="class in ArrayListPackage">ArrayUnorderedList</a></dt>
<dd>
<div class="block">Método que adiciona um certo elemento do tipo T logo após a outro
 elemento, caso o mesmo exista na coleção, fazendo uma cópia de um array
 até ao tal ElementBefore para uma nova lista, adicionar o elementAdd e
 copiar o resto da lista, por fim substituir</div>
</dd>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/UnorderedListADT.html#addAfter-T-T-">addAfter(T, T)</a></span> - Method in interface ArrayListPackage.<a href="../ArrayListPackage/UnorderedListADT.html" title="interface in ArrayListPackage">UnorderedListADT</a></dt>
<dd>
<div class="block">Adds an element after a particular element already in the list</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/DirectedGraph.html#addEdge-T-T-">addEdge(T, T)</a></span> - Method in class Graph.<a href="../Graph/DirectedGraph.html" title="class in Graph">DirectedGraph</a></dt>
<dd>
<div class="block">Inserts an edge between two vertices of the graph from v1 to v2</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/DirectedGraph.html#addEdge-int-int-">addEdge(int, int)</a></span> - Method in class Graph.<a href="../Graph/DirectedGraph.html" title="class in Graph">DirectedGraph</a></dt>
<dd>
<div class="block">Inserts an edge between two vertices of the graph from the vertex with
 the index 1 to the one with the index 2</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/DirectedNetwork.html#addEdge-T-T-double-">addEdge(T, T, double)</a></span> - Method in class Graph.<a href="../Graph/DirectedNetwork.html" title="class in Graph">DirectedNetwork</a></dt>
<dd>
<div class="block">Inserts an edge between two vertices of the graph from v1 to v2 with a
 specific weight</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/Graph.html#addEdge-T-T-">addEdge(T, T)</a></span> - Method in class Graph.<a href="../Graph/Graph.html" title="class in Graph">Graph</a></dt>
<dd>
<div class="block">Inserts an edge between two vertices of the graph.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/Graph.html#addEdge-int-int-">addEdge(int, int)</a></span> - Method in class Graph.<a href="../Graph/Graph.html" title="class in Graph">Graph</a></dt>
<dd>
<div class="block">Inserts an edge between two vertices of the graph.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/GraphADT.html#addEdge-T-T-">addEdge(T, T)</a></span> - Method in interface Graph.<a href="../Graph/GraphADT.html" title="interface in Graph">GraphADT</a></dt>
<dd>
<div class="block">Inserts an edge between two vertices of this graph.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/NetworkADT.html#addEdge-T-T-double-">addEdge(T, T, double)</a></span> - Method in interface Graph.<a href="../Graph/NetworkADT.html" title="interface in Graph">NetworkADT</a></dt>
<dd>
<div class="block">Inserts an edge between two vertices of this graph.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Game/GameDirectedGraph.html#addEdgeInBothWays-T-T-">addEdgeInBothWays(T, T)</a></span> - Method in class Game.<a href="../Game/GameDirectedGraph.html" title="class in Game">GameDirectedGraph</a></dt>
<dd>
<div class="block">Adds edge's between 2 vertexes with no weight,(weight == 0) in both directions</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/HeapADT.html#addElement-T-">addElement(T)</a></span> - Method in interface LinkedHeapPackage.<a href="../LinkedHeapPackage/HeapADT.html" title="interface in LinkedHeapPackage">HeapADT</a></dt>
<dd>
<div class="block">Adds the specified object to this heap.</div>
</dd>
<dt><span class="memberNameLink"><a href="../LinkedHeapPackage/LinkedHeap.html#addElement-T-">addElement(T)</a></span> - Method in class LinkedHeapPackage.<a href="../LinkedHeapPackage/LinkedHeap.html" title="class in LinkedHeapPackage">LinkedHeap</a></dt>
<dd>
<div class="block">Adds the specified element to this heap in the appropriate position
 according to its key value Note that equal elements are added to the
 right.</div>
</dd>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/ArrayUnorderedList.html#addToFront-T-">addToFront(T)</a></span> - Method in class ArrayListPackage.<a href="../ArrayListPackage/ArrayUnorderedList.html" title="class in ArrayListPackage">ArrayUnorderedList</a></dt>
<dd>
<div class="block">Método que adiciona um certo elemento do tipo T ao front da coleção,
 verificando se é necessário expandir o tamanho e depois fazer uma cópia
 da coleção já existente para uma nova onde já se encontra o novo elemento</div>
</dd>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/UnorderedListADT.html#addToFront-T-">addToFront(T)</a></span> - Method in interface ArrayListPackage.<a href="../ArrayListPackage/UnorderedListADT.html" title="interface in ArrayListPackage">UnorderedListADT</a></dt>
<dd>
<div class="block">Adds an element to the front of the list</div>
</dd>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/ArrayUnorderedList.html#addToRear-T-">addToRear(T)</a></span> - Method in class ArrayListPackage.<a href="../ArrayListPackage/ArrayUnorderedList.html" title="class in ArrayListPackage">ArrayUnorderedList</a></dt>
<dd>
<div class="block">Método que adiciona um certo elemento do tipo T ao rear da coleção,
 verificando se é necessário expandir o tamanho e depois fazer adicionar o
 elemento à posição rear da coleação</div>
</dd>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/UnorderedListADT.html#addToRear-T-">addToRear(T)</a></span> - Method in interface ArrayListPackage.<a href="../ArrayListPackage/UnorderedListADT.html" title="interface in ArrayListPackage">UnorderedListADT</a></dt>
<dd>
<div class="block">Adds an element to the rear of the list</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/Graph.html#addVertex-T-">addVertex(T)</a></span> - Method in class Graph.<a href="../Graph/Graph.html" title="class in Graph">Graph</a></dt>
<dd>
<div class="block">Adds a vertex to the graph, expanding the capacity of the graph if
 necessary.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/GraphADT.html#addVertex-T-">addVertex(T)</a></span> - Method in interface Graph.<a href="../Graph/GraphADT.html" title="interface in Graph">GraphADT</a></dt>
<dd>
<div class="block">Adds a vertex to this graph, associating object with vertex.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Graph/Graph.html#adjMatrix">adjMatrix</a></span> - Variable in class Graph.<a href="../Graph/Graph.html" title="class in Graph">Graph</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Game/GameDirectedGraph.html#areConnected-T-T-">areConnected(T, T)</a></span> - Method in class Game.<a href="../Game/GameDirectedGraph.html" title="class in Game">GameDirectedGraph</a></dt>
<dd>
<div class="block">Given 2 vertex, returns true if they are connected in both ways</div>
</dd>
<dt><a href="../ArrayListPackage/ArrayList.html" title="class in ArrayListPackage"><span class="typeNameLink">ArrayList</span></a>&lt;<a href="../ArrayListPackage/ArrayList.html" title="type parameter in ArrayList">T</a>&gt; - Class in <a href="../ArrayListPackage/package-summary.html">ArrayListPackage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/ArrayList.html#ArrayList--">ArrayList()</a></span> - Constructor for class ArrayListPackage.<a href="../ArrayListPackage/ArrayList.html" title="class in ArrayListPackage">ArrayList</a></dt>
<dd>
<div class="block">Constructor method for an array list with the default size of 20</div>
</dd>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/ArrayList.html#ArrayList-int-">ArrayList(int)</a></span> - Constructor for class ArrayListPackage.<a href="../ArrayListPackage/ArrayList.html" title="class in ArrayListPackage">ArrayList</a></dt>
<dd>
<div class="block">Constructor method for an array list with the size of the given parameter</div>
</dd>
<dt><a href="../ArrayListPackage/ArrayList.arrayListIterator.html" title="class in ArrayListPackage"><span class="typeNameLink">ArrayList.arrayListIterator</span></a> - Class in <a href="../ArrayListPackage/package-summary.html">ArrayListPackage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/ArrayList.arrayListIterator.html#arrayListIterator--">arrayListIterator()</a></span> - Constructor for class ArrayListPackage.<a href="../ArrayListPackage/ArrayList.arrayListIterator.html" title="class in ArrayListPackage">ArrayList.arrayListIterator</a></dt>
<dd>
<div class="block">Constructor method</div>
</dd>
<dt><a href="../ArrayListPackage/package-summary.html">ArrayListPackage</a> - package ArrayListPackage</dt>
<dd>&nbsp;</dd>
<dt><a href="../ArrayListPackage/ArrayOrderedList.html" title="class in ArrayListPackage"><span class="typeNameLink">ArrayOrderedList</span></a>&lt;<a href="../ArrayListPackage/ArrayOrderedList.html" title="type parameter in ArrayOrderedList">T</a>&gt; - Class in <a href="../ArrayListPackage/package-summary.html">ArrayListPackage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/ArrayOrderedList.html#ArrayOrderedList--">ArrayOrderedList()</a></span> - Constructor for class ArrayListPackage.<a href="../ArrayListPackage/ArrayOrderedList.html" title="class in ArrayListPackage">ArrayOrderedList</a></dt>
<dd>
<div class="block">Método construtor sem tamamnho defenido para a lista</div>
</dd>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/ArrayOrderedList.html#ArrayOrderedList-int-">ArrayOrderedList(int)</a></span> - Constructor for class ArrayListPackage.<a href="../ArrayListPackage/ArrayOrderedList.html" title="class in ArrayListPackage">ArrayOrderedList</a></dt>
<dd>
<div class="block">Método construtor com o tamanho para a lista definido através do
 parametro</div>
</dd>
<dt><a href="../ArrayListPackage/ArrayUnorderedList.html" title="class in ArrayListPackage"><span class="typeNameLink">ArrayUnorderedList</span></a>&lt;<a href="../ArrayListPackage/ArrayUnorderedList.html" title="type parameter in ArrayUnorderedList">T</a>&gt; - Class in <a href="../ArrayListPackage/package-summary.html">ArrayListPackage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/ArrayUnorderedList.html#ArrayUnorderedList--">ArrayUnorderedList()</a></span> - Constructor for class ArrayListPackage.<a href="../ArrayListPackage/ArrayUnorderedList.html" title="class in ArrayListPackage">ArrayUnorderedList</a></dt>
<dd>
<div class="block">Método construtor sem tamamnho defenido para a lista</div>
</dd>
<dt><span class="memberNameLink"><a href="../ArrayListPackage/ArrayUnorderedList.html#ArrayUnorderedList-int-">ArrayUnorderedList(int)</a></span> - Constructor for class ArrayListPackage.<a href="../ArrayListPackage/ArrayUnorderedList.html" title="class in ArrayListPackage">ArrayUnorderedList</a></dt>
<dd>
<div class="block">Método construtor com o tamanho para a lista definido através do
 parametro</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Letter</li>
<li><a href="index-2.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-1.html" target="_top">Frames</a></li>
<li><a href="index-1.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
